

data:extend({


--- ENERGY SHIELD ---
  {
    type = "energy-shield-equipment",
    name = "tank_shield_1",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/tank_shield_1.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    max_shield_value = 100,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "1MJ",
      input_flow_limit = "200kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "50kJ",
    categories = {"a-tank"}
  },
  
  {
    type = "energy-shield-equipment",
    name = "tank_shield_2",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/tank_shield_2.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    max_shield_value = 200,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "2MJ",
      input_flow_limit = "500kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "80kJ",
    categories = {"a-tank"}
  },
  
  {
    type = "energy-shield-equipment",
    name = "tank_shield_3",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/tank_shield_3.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    max_shield_value = 400,
    energy_source =
    {
      type = "electric",
      buffer_capacity = "5MJ",
      input_flow_limit = "750kW",
      usage_priority = "primary-input"
    },
    energy_per_shield = "150kJ",
    categories = {"a-tank"}
  },
		------- TURRETS -------
---  ENERGY MG ---

  {
    type = "active-defense-equipment",
    name = "energy_mg_1",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/energy_mg_1.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "5MJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 12,
      damage_modifier = 1,
      projectile_center = {0, 0},
      projectile_creation_distance = 1,
      range = 22,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "a_energy",
        energy_consumption = "100kJ",
        projectile = "energy_small_projectile_1", 				--"laser",
        speed = 0.5,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "energy_small_projectile_1",
                starting_speed = 0.5
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"a-tank"}
  }, 
  {
    type = "active-defense-equipment",
    name = "energy_mg_2",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/energy_mg_2.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "10MJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 12,
      damage_modifier = 1,
      projectile_center = {0, 0},
      projectile_creation_distance = 1,
      range = 22,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "a_energy",
        energy_consumption = "200kJ",
        projectile = "energy_small_projectile_2", 				--"laser",
        speed = 0.55,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "energy_small_projectile_2",
                starting_speed = 0.55
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"a-tank"}
  }, 		
  {
    type = "active-defense-equipment",
    name = "energy_mg_3",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/energy_mg_3.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "25MJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 12,
      damage_modifier = 1,
      projectile_center = {0, 0},
      projectile_creation_distance = 1,
      range = 22,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "a_energy",
        energy_consumption = "500kJ",
        projectile = "energy_small_projectile_3", 				--"laser",
        speed = 0.6,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "energy_small_projectile_3",
                starting_speed = 0.6
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"a-tank"}
  }, 				

--- energy MG PROJECTILE ---
   {
    type = "projectile",
    name = "energy_small_projectile_1",
    flags = {"not-on-map"},
    acceleration = 0,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 5, type = "laser"}
          },
		 
        }
      }
    },
    light = {intensity = 0.2, size = 15},
    animation =
    {
      filename = "__FMRx__/graphics/equipment/energy_small_projectile.png",
      tint = {r=0, g=0.3, b=1},
      frame_count = 1,
      width = 9,
      height = 12,
      priority = "high",
      blend_mode = "additive"
    },
    speed = 0.10
  },
   {
    type = "projectile",
    name = "energy_small_projectile_2",
    flags = {"not-on-map"},
    acceleration = 0,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 10, type = "laser"}
          },
		 
        }
      }
    },
    light = {intensity = 0.2, size = 15},
    animation =
    {
      filename = "__FMRx__/graphics/equipment/energy_small_projectile.png",
      tint = {r=0, g=1, b=0.2},
      frame_count = 1,
      width = 9,
      height = 12,
      priority = "high",
      blend_mode = "additive"
    },
    speed = 0.10
  },  
   {
    type = "projectile",
    name = "energy_small_projectile_3",
    flags = {"not-on-map"},
    acceleration = 0,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "damage",
            damage = { amount = 21, type = "laser"}
          },
		 
        }
      }
    },
    light = {intensity = 0.2, size = 15},
    animation =
    {
      filename = "__FMRx__/graphics/equipment/energy_small_projectile.png",
      tint = {r=1, g=0.1, b=0.1},
      frame_count = 1,
      width = 9,
      height = 12,
      priority = "high",
      blend_mode = "additive"
    },
    speed = 0.10
  },
  
  --- ENERGY CANNON ---
  
  {
    type = "active-defense-equipment",
    name = "energy_cannon_1",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/energy_cannon_1.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "3.75MJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 120,
      damage_modifier = 1,
      projectile_center = {0, 0},
      projectile_creation_distance = 1,
      range = 30,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "a_energy",
        energy_consumption = "750kJ",
        projectile = "energy_projectile_1", 				--"laser",
        speed = 0.3,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "energy_projectile_1",
                starting_speed = 0.15
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"a-tank"}
  }, 
  {
    type = "active-defense-equipment",
    name = "energy_cannon_2",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/energy_cannon_2.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "7.5MJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 120,
      damage_modifier = 1,
      projectile_center = {0, 0},
      projectile_creation_distance = 1,
      range = 30,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "a_energy",
        energy_consumption = "1.5MJ",
        projectile = "energy_projectile_2", 				--"laser",
        speed = 0.3,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "energy_projectile_2",
                starting_speed = 0.15
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"a-tank"}
   }, 
  {
    type = "active-defense-equipment",
    name = "energy_cannon_3",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/energy_cannon_3.png",
      width = 64,
      height = 64,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 2,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "22.5MJ"
    },
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "electric",
      cooldown = 120,
      damage_modifier = 1,
      projectile_center = {0, 0},
      projectile_creation_distance = 1,
      range = 3,
      sound = make_laser_sounds(),
      ammo_type =
      {
        type = "projectile",
        category = "a_energy",
        energy_consumption = "4.5MJ",
        projectile = "energy_projectile_3", 				--"laser",
        speed = 0.3,
        action =
        {
          {
            type = "direct",
            action_delivery =
            {
              {
                type = "projectile",
                projectile = "energy_projectile_3",
                starting_speed = 0.15
              }
            }
          }
        }
      }
    },
    automatic = true,
    categories = {"a-tank"}
   },
  
--- energy CANNON PROJECTILE ---  
   {
    type = "projectile",
    name = "energy_projectile_1",
    flags = {"not-on-map"},
    acceleration = 0.02,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "explosion"
          },
          {
            type = "damage",
            damage = { amount = 10, type = "explosion"}
          },
		  {
            type = "nested-result",
            action =
            {
              type = "area",
              radius = 2,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 50, type = "explosion"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            },
          }   
        }
      }
    },
    light = {intensity = 0.6, size = 15},
    animation =
    {
      filename = "__FMRx__/graphics/equipment/energy_projectile.png",
      tint = {r=0, g=0.3, b=1},
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high",
      blend_mode = "additive"
    },
    speed = 0.10
  },
  {
    type = "projectile",
    name = "energy_projectile_2",
    flags = {"not-on-map"},
    acceleration = 0.02,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "explosion"
          },
          {
            type = "damage",
            damage = { amount = 30, type = "explosion"}
          },
		  {
            type = "nested-result",
            action =
            {
              type = "area",
              radius = 2.5,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 80, type = "explosion"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            },
          }   
        }
      }
    },
    light = {intensity = 0.6, size = 15},
    animation =
    {
      filename = "__FMRx__/graphics/equipment/energy_projectile.png",
      tint = {r=0, g=1, b=0.2},
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high",
      blend_mode = "additive"
    },
    speed = 0.10
  },
 {
    type = "projectile",
    name = "energy_projectile_3",
    flags = {"not-on-map"},
    acceleration = 0.02,
    action =
    {
      type = "direct",
      action_delivery =
      {
        type = "instant",
        target_effects =
        {
          {
            type = "create-entity",
            entity_name = "explosion"
          },
          {
            type = "damage",
            damage = { amount = 60, type = "explosion"}
          },
		  {
            type = "nested-result",
            action =
            {
              type = "area",
              radius = 30,
              action_delivery =
              {
                type = "instant",
                target_effects =
                {
                  {
                    type = "damage",
                    damage = {amount = 140, type = "explosion"}
                  },
                  {
                    type = "create-entity",
                    entity_name = "explosion"
                  }
                }
              }
            },
          }   
        }
      }
    },
    light = {intensity = 0.6, size = 15},
    animation =
    {
      filename = "__FMRx__/graphics/equipment/energy_projectile.png",
      tint = {r=1, g=0.1, b=0.1},
      frame_count = 1,
      width = 32,
      height = 32,
      priority = "high",
      blend_mode = "additive"
    },
    speed = 0.10
  },  
  

 --- BATTERY ---
  --- X 2 ---  
  {
    type = "battery-equipment",
    name = "tank_battery_1",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/battery_1.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "20MJ",
      input_flow_limit = "10MW",
      output_flow_limit = "2MW",
      usage_priority = "terciary"
    },
    categories = {"a-tank"}
  }, 
  {
    type = "battery-equipment",
    name = "tank_battery_2",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/battery_2.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "60MJ",
      input_flow_limit = "10MW",
      output_flow_limit = "5MW",
      usage_priority = "terciary"
    },
    categories = {"a-tank"}
  }, 
  {
    type = "battery-equipment",
    name = "tank_battery_3",
    sprite =
    {
      filename = "__FMRx__/graphics/equipment/battery_3.png",
      width = 64,
      height = 32,
      priority = "medium"
    },
    shape =
    {
      width = 2,
      height = 1,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      buffer_capacity = "200MJ",
      input_flow_limit = "10MW",
      output_flow_limit = "10MW",
      usage_priority = "terciary"
    },
    categories = {"a-tank"}
  },  

  
  
  



	
 }) 