function item_nofuel_noentity(i_name,i_ico,i_flag,i_subgroup,i_order,i_stack) 
	local flag_name = {"goes-to-main-inventory"}
	if i_flag == 2 then
		flag_name = {"goes-to-quickbar"}
	end
 
   local result =
   {
    type = "item",
    name = i_name,
    icon = "__FMRx__/graphics/" .. i_ico,
	icon_size = 32,
    flags = flag_name,
    subgroup = i_subgroup,
    order = i_order,
    stack_size = i_stack
   }
return result
end 

function item_entity(i_name,i_ico,i_flag,i_subgroup,i_order,i_stack) 
	local flag_name = {"goes-to-main-inventory"}
	if i_flag == 2 then
		flag_name = {"goes-to-quickbar"}
	end
 
   local result =
   {
    type = "item",
    name = i_name,
    icon = "__FMRx__/graphics/" .. i_ico,
	icon_size = 32,
    flags = flag_name,
    subgroup = i_subgroup,
    order = i_order,
    place_result = i_name,
    stack_size = i_stack
   }
return result
end   

function item_fuel(i_name,i_ico,i_flag,i_subgroup,i_order,i_f_category,i_stack,i_fuel) 
	local flag_name = {"goes-to-main-inventory"}
	if i_flag == 2 then
		flag_name = {"goes-to-quickbar"}
	end
 
   local result =
   {
    type = "item",
    name = i_name,
    icon = "__FMRx__/graphics/" .. i_ico,
	icon_size = 32,
    flags = flag_name,
    subgroup = i_subgroup,
    order = i_order,
	fuel_category = i_f_category,
	fuel_value = i_fuel,
    stack_size = i_stack
   }
return result
end     

function item_equipment(i_name,i_ico,i_subgroup,i_order,i_stack) 
   local result =
  {
    type = "item",
    name = i_name,
    icon = "__FMRx__/graphics/equipment/"  .. i_ico,
	icon_size = 32,
    placed_as_equipment_result = i_name,
    flags = {"goes-to-main-inventory"},
    subgroup = i_subgroup,
    order = i_order,
    stack_size = i_stack,
  }
return result
end  

function item_fluid(i_name,i_ico,i_color, i_subgroup,i_order)
   local result =
  {
    type = "fluid",
    name = i_name,
    default_temperature = 15,
    max_temperature = 100,
    heat_capacity = "1KJ",
    base_color = i_color,
    flow_color = i_color,
    icon = "__FMRx__/graphics/" .. i_ico,
	icon_size = 32,
	subgroup = i_subgroup,
    order = i_order,
    pressure_to_speed_ratio = 0.4,
    flow_to_energy_ratio = 0.59,
  }   
   

return result
end    

data:extend({

item_nofuel_noentity("raw_veridium","raw_veridium.png",1,"a_ore","a",200), 
item_nofuel_noentity("veridium_dust","veridium_dust.png",1,"a_ore","b",200),
item_nofuel_noentity("roll","roll.png",1,"a_ore","c",100),
item_nofuel_noentity("broken_roll","broken_roll.png",1,"a_ore","d",100),
item_nofuel_noentity("veridium","veridium.png",1,"a_ore","e",200),
item_nofuel_noentity("veridium_steel_plate","veridium_steel_plate.png",1,"a_ore","f",200),
item_fuel("coal_pack","coal_pack.png",1,"a_ore","g","chemical",50,"65MJ"), 
item_nofuel_noentity("iron_ore_pack","iron_pack.png",1,"a_ore","h",100),
item_nofuel_noentity("copper_ore_pack","copper_pack.png",1,"a_ore","i",100),
item_nofuel_noentity("pure_veridium","pure_veridium.png",1,"a_ore","j",100),
item_fluid("verkaline","liquid/verkaline.png",{r=0.09, g=0.44, b=0.6}, "a_ore","k"),
item_fluid("essence","liquid/essence.png",{r=0.71, g=0.15, b=0.79}, "a_ore","l"),
item_fluid("kitanium","liquid/kitanium.png",{r=1, g=0.53, b=0.208}, "a_ore","m"),
item_fluid("waste","liquid/waste.png",{r=0.392, g=0.215, b=0.1}, "a_ore","n"),
item_fluid("prepared_water","liquid/prepared_water.png",{r=1, g=1, b=0.576}, "a_ore","o"),
item_fuel("enriched_fuel","enriched_fuel.png",1,"a_ore","p","chemical",50,"150MJ"),
item_fuel("diesel_fuel","diesel_fuel.png",1,"a_ore","r","f_tank",200,"50MJ"),

{
    type = "repair-tool",
    name = "autogen_1",
    icon = "__FMRx__/graphics/autogen_1.png",
	icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "a_pack",
    order = "c",
    speed = 3,
    durability = 500,
    stack_size = 100
},
{
    type = "repair-tool",
    name = "autogen_2",
    icon = "__FMRx__/graphics/autogen_2.png",
	icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "a_pack",
    order = "d",
    speed = 4,
    durability = 700,
    stack_size = 100
},
item_nofuel_noentity("engine","engine.png",1,"a_pack","dd",50), 
item_nofuel_noentity("wheel","wheel.png",1,"a_pack","e",100),
item_nofuel_noentity("t55_wheel","t55_wheel.png",1,"a_pack","f",100),  
item_nofuel_noentity("armor_plate_1","armor_plate_1.png",1,"a_pack","g",100),
item_nofuel_noentity("armor_plate_2","armor_plate_2.png",1,"a_pack","h",100),
item_nofuel_noentity("plastic_bottle","plastic_bottle.png",1,"a_pack","i",100),
item_nofuel_noentity("electrolyte","electrolyte.png",1,"a_pack","j",100),
item_nofuel_noentity("fc_frame","fc_frame.png",1,"a_pack","k",100),
item_nofuel_noentity("wire","wire.png",1,"a_pack","l",200),
item_nofuel_noentity("round_circuit","round_circuit.png",1,"a_pack","m",200),
item_nofuel_noentity("cpu","cpu.png",1,"a_pack","n",100),
item_nofuel_noentity("quad_circuit","quad_circuit.png",1,"a_pack","o",100),
item_nofuel_noentity("energy_saving_element","energy_saving_element.png",1,"a_pack","p",200),

item_entity("ore_extractor_1", "ore_extractor/ore_extractor_1_ico.png", 2, "a_ore_zavod", "a", 20),
item_entity("ore_extractor_2", "ore_extractor/ore_extractor_2_ico.png", 2, "a_ore_zavod", "b", 20),
item_entity("ore_extractor_3", "ore_extractor/ore_extractor_3_ico.png", 2, "a_ore_zavod", "c", 20),
item_entity("electric_ore_extractor_1", "ore_extractor/electric_ore_extractor_1_ico.png", 2, "a_ore_zavod", "d", 20),
item_entity("electric_ore_extractor_2", "ore_extractor/electric_ore_extractor_2_ico.png", 2, "a_ore_zavod", "e", 20),
item_entity("train_chest_h", "chest/train_chest_h_ico.png", 2, "a_ore_zavod", "f", 20),
item_entity("train_chest_v", "chest/train_chest_v_ico.png", 2, "a_ore_zavod", "g", 20),
item_entity("grinder", "grinder/grinder_ico.png", 2, "a_ore_zavod", "h", 20),
item_entity("shared_accumulator", "shared_accumulator/shared_accumulator_ico.png", 2, "a_ore_zavod", "i", 50),


--- SIEGE TURRET ---
item_entity("siege_turret_1", "siege_turret/siege_turret_ico.png", 2, "a_turret", "a", 20),  
item_entity("siege_turret_2", "siege_turret/siege_turret2_ico.png", 2, "a_turret", "b", 20),
item_entity("siege_turret_3", "siege_turret/siege_turret3_ico.png", 2, "a_turret", "c", 20),

--- TECH ---
item_entity("fmrx_lab", "lab/fmrx_lab_ico.png", 2, "a_tech", "a", 20),

  {
    type = "tool",
    name = "t_resource_1",
    icon = "__FMRx__/graphics/t_resource_1.png",
	icon_size = 32,
    flags = {"goes-to-main-inventory"},
    subgroup = "a_tech",
    order = "b",
    stack_size = 200,
    durability = 1,
    durability_description_key = "description.science-pack-remaining-amount"
  },
  
item_nofuel_noentity("t_resource_1_form", "t_resource_1_form.png", 1, "a_tech", "f", 50),
--- WEAPON ---
  {
    type = "gun",
    name = "machine_gun",
    icon = "__FMRx__/graphics/weapon/machine_gun.png",
	icon_size = 32,
    flags = {"goes-to-main-inventory"},
    subgroup = "a_weapon",
    order = "a",
    attack_parameters =
    {
      type = "projectile",
      ammo_category = "a_gun",
      cooldown = 10,
      movement_slow_down_factor = 0.7,
      shell_particle =
      {
        name = "shell-particle",
        direction_deviation = 0.1,
        speed = 0.1,
        speed_deviation = 0.03,
        center = {0, 0.1},
        creation_distance = -0.5,
        starting_frame_speed = 0.4,
        starting_frame_speed_deviation = 0.1
      },
      projectile_creation_distance = 1.125,
      range = 21,
      sound = make_light_gunshot_sounds(),
    },
    stack_size = 5
  },
item_nofuel_noentity("gun_bullets", "/weapon/gun_bullets.png", 1, "a_weapon", "i", 200),

--- WEAPON 2 ---
  {
    type = "item-with-entity-data",
    name = "t55",
    icon = "__FMRx__/graphics/t55/t55_ico.png",
	icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "a_weapon2",
    order = "a",
    place_result = "t55",
    stack_size = 1
  },
  {
    type = "item-with-entity-data",
    name = "devastator",
    icon = "__FMRx__/graphics/devastator/dev_ico.png",
	icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "a_weapon2",
    order = "d",
    place_result = "devastator",
    stack_size = 1
  },
--item_entity("t-55", "t55/t55_ico.png", 2, "a_weapon2", "a", 5),
--item_entity("devastator", "devastator/dev_ico.png", 2, "a_weapon2", "d", 5),

--- EQUIPMENT ---
item_nofuel_noentity("fuel_cell_1","fuel_cell_1.png",1,"a_equip","a",1000),
item_nofuel_noentity("fuel_cell_2","fuel_cell_2.png",1,"a_equip","b",1000),
item_nofuel_noentity("fuel_cell_3","fuel_cell_3.png",1,"a_equip","c",1000),
item_equipment("tank_battery_1","battery_1_ico.png","a_equip","d",20), 
item_equipment("tank_battery_2","battery_2_ico.png","a_equip","e",20),
item_equipment("tank_battery_3","battery_3_ico.png","a_equip","f",20),

item_equipment("energy_mg_1","energy_mg_1_ico.png","a_equip","fa",20),
item_equipment("energy_mg_2","energy_mg_2_ico.png","a_equip","fb",20),
item_equipment("energy_mg_3","energy_mg_3_ico.png","a_equip","fc",20),

item_equipment("energy_cannon_1","energy_cannon_1_ico.png","a_equip","g",20),
item_equipment("energy_cannon_2","energy_cannon_2_ico.png","a_equip","h",20),
item_equipment("energy_cannon_3","energy_cannon_3_ico.png","a_equip","i",20),
item_equipment("tank_shield_1","tank_shield_1_ico.png","a_equip","j",20),
item_equipment("tank_shield_2","tank_shield_2_ico.png","a_equip","k",20),
item_equipment("tank_shield_3","tank_shield_3_ico.png","a_equip","l",20),



})