data:extend({ 
 
--- ACCUMULATOR TEST ---

 {
    type = "accumulator",
    name = "shared_accumulator",
    icon = "__FMRx__/graphics/shared_accumulator/shared_accumulator_ico.png",
    icon_size = 32,
    flags = {"placeable-neutral", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "shared_accumulator"},
    max_health = 150,
    corpse = "medium-remnants",
    collision_box = {{-1.30, -1.30}, {1.30, 1.30}},
    selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
    energy_source =
    {
      type = "electric",
      buffer_capacity = "20MJ",
      usage_priority = "terciary",
      input_flow_limit = "200kW",
      output_flow_limit = "500kW"
    },
    picture =
    {
      filename = "__FMRx__/graphics/shared_accumulator/shared_accumulator.png",
      priority = "extra-high",
      width = 128,
      height = 128,
      shift = {0.5,0.5}
    },
    charge_animation =
    {
      filename = "__FMRx__/graphics/shared_accumulator/shared_accumulator_charge.png",
      width = 128,
      height = 128,
	  line_length = 8,
      frame_count = 24,
      shift = {0.5, 0.5},
      animation_speed = 0.4
    },

    charge_cooldown = 30,
    charge_light = {intensity = 0.1, size = 8, color = {r = 1.0, g = 1.0, b = 1.0}},
    discharge_animation =
    {
      filename = "__FMRx__/graphics/shared_accumulator/shared_accumulator_discharge.png",
      width = 128,
      height = 128,
	  line_length = 8,
      frame_count = 24,
      shift = {0.5, 0.5},
      animation_speed = 0.4
    },
    discharge_cooldown = 60,
    discharge_light = {intensity = 0.1, size = 8, color = {r = 1.0, g = 1.0, b = 1.0}},
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound =
      {
        filename = "__base__/sound/accumulator-working.ogg",
        volume = 1
      },
      idle_sound = {
        filename = "__base__/sound/accumulator-idle.ogg",
        volume = 0.4
      },
      max_sounds_per_type = 5
    },
	
    },

--- ROBOPORT ---	
	
    {
    type = "roboport",
    name = "dronstation",
    icon = "__FMRx__/graphics/dronstation/dronstation_ico.png",
    icon_size = 32,
    flags = {"placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "dronstation"},
    max_health = 800,
    corpse = "big-remnants",
    collision_box = {{-1.7, -1.7}, {1.7, 1.7}},
    selection_box = {{-2, -2}, {2, 2}},
    resistances =
    {
      {
        type = "fire",
        percent = 60
      },
      {
        type = "impact",
        percent = 30
      }
    },
    dying_explosion = "medium-explosion",
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      input_flow_limit = "10MW",
      buffer_capacity = "200MJ"
    },
    recharge_minimum = "40MJ",
    energy_usage = "100kW",
    -- per one charge slot
    charging_energy = "1500kW",
    logistics_radius = 35,
    construction_radius = 70,
    charge_approach_distance = 5,
    robot_slots_count = 7,
    material_slots_count = 7,
    stationing_offset = {0, 0},
    charging_offsets =
    {
      {-1.5, -0.5}, {-1.5, -1.5}, {-1.5, 0.5}, {1.5, -0.5}, {1.5, -1.5}, {1.5, 0.5},
    },
    base =
    {
      layers =
      {
        {
          filename = "__FMRx__/graphics/dronstation/dronstation.png",
          width = 192,
          height = 128,
          shift = {1, 0}
        }
      }
    },
    base_patch =
    {
      filename = "__FMRx__/graphics/dronstation/patch.png",
      priority = "medium",
      width = 64,
      height = 64,
      frame_count = 1,
      shift = {0, 0.5}
    },
    base_animation =
    {
      filename = "__FMRx__/graphics/dronstation/dronstation_animation.png",
      priority = "medium",
      width = 128,
      height = 128,
      frame_count = 12,
      animation_speed = 0.15,
      shift = {0, 0}
    },
    door_animation_up =
    {
      filename = "__FMRx__/graphics/dronstation/gate_top.png",
      priority = "medium",
      width = 64,
      height = 32,
      frame_count = 16,
      shift = {0, -1}
    },
    door_animation_down =
    {
      filename = "__FMRx__/graphics/dronstation/gate_bot.png",
      priority = "medium",
      width = 64,
      height = 32,
      frame_count = 16,
      shift = {0, 0}
    },
    recharging_animation =
    {	  
	  filename = "__FMRx__/graphics/dronstation/charge.png",
      priority = "high",
      width = 32,
      height = 32,
      frame_count = 12,
      scale = 1,
      animation_speed = 0.4,
	  shift = {0, 0.5}
    },
    vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
    working_sound =
    {
      sound = { filename = "__base__/sound/roboport-working.ogg", volume = 0.6 },
      max_sounds_per_type = 3,
      audible_distance_modifier = 0.5,
      probability = 1 / (5 * 60) -- average pause between the sound is 5 seconds
    },
    recharging_light = {intensity = 0.4, size = 5, color = {r = 1.0, g = 1.0, b = 1.0}},
    request_to_open_door_timeout = 15,
    spawn_and_station_height = -0.1,

    draw_logistic_radius_visualization = true,
    draw_construction_radius_visualization = true,

    open_door_trigger_effect =
    {
      {
        type = "play-sound",
        sound = { filename = "__base__/sound/roboport-door.ogg", volume = 1.2 }
      },
    },
    close_door_trigger_effect =
    {
      {
        type = "play-sound",
        sound = { filename = "__base__/sound/roboport-door.ogg", volume = 0.75 }
      },
    }
--[[
    circuit_wire_connection_point = circuit_connector_definitions["roboport"].points,
    circuit_connector_sprites = circuit_connector_definitions["roboport"].sprites,
    circuit_wire_max_distance = default_circuit_wire_max_distance,

    default_available_logistic_output_signal = {type = "virtual", name = "signal-X"},
    default_total_logistic_output_signal = {type = "virtual", name = "signal-Y"},
    default_available_construction_output_signal = {type = "virtual", name = "signal-Z"},
    default_total_construction_output_signal = {type = "virtual", name = "signal-T"},
]]--	
  }, 	
  
  {
    type = "item",
    name = "dronstation",
    icon = "__FMRx__/graphics/dronstation/dronstation_ico.png",
    icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "logistic-network",
    order = "c[signal]-a[roboport]",
    place_result = "dronstation",
    stack_size = 10
  }, 


  {
    type = "recipe",
    name = "dronstation",
    enabled = true,
    energy_required = 5,
    ingredients =
    {
      {"iron-gear-wheel", 1}
    },
    result = "dronstation",
  },

--- CARGO DRONE ---
 {
    type = "logistic-robot",
    name = "cargo_drone",
    icon = "__FMRx__/graphics/cargo_drone/cargo_drone_ico.png",
    icon_size = 32,
    flags = {"placeable-player", "player-creation", "placeable-off-grid", "not-on-map"},
    minable = {hardness = 0.1, mining_time = 0.1, result = "cargo_drone"},
    resistances = { { type = "fire", percent = 85 } },
    max_health = 150,
    collision_box = {{0, 0}, {0, 0}},
    selection_box = {{-0.5, -1.5}, {0.5, -0.5}},
    max_payload_size = 1,
    speed = 0.075,
    transfer_distance = 0.5,
    max_energy = "3MJ",
    energy_per_tick = "0.08kJ",
    speed_multiplier_when_out_of_energy = 0.2,
    energy_per_move = "8kJ",
    min_to_charge = 0.2,
    max_to_charge = 0.95,
    idle =
    {
      filename = "__FMRx__/graphics/cargo_drone/empty_idle.png",
      priority = "high",
      line_length = 2,
      width = 40,
      height = 40,
      frame_count = 2,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    idle_with_cargo =
    {
      filename = "__FMRx__/graphics/cargo_drone/full_idle.png",
      priority = "high",
      line_length = 2,
      width = 40,
      height = 40,
      frame_count = 2,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    in_motion =
    {
      filename = "__FMRx__/graphics/cargo_drone/empty_move.png",
      priority = "high",
      line_length = 2,
      width = 40,
      height = 40,
      frame_count = 2,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    in_motion_with_cargo =
    {
      filename = "__FMRx__/graphics/cargo_drone/full_move.png",
      priority = "high",
      line_length = 2,
      width = 40,
      height = 40,
      frame_count = 2,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    shadow_idle =
    {
      filename = "__FMRx__/graphics/cargo_drone/shadow_empty.png",
      priority = "high",
      line_length = 1,
      width = 40,
      height = 40,
      frame_count = 1,
      shift = {0.8, 0},
      direction_count = 16
    },
    shadow_idle_with_cargo =
    {
      filename = "__FMRx__/graphics/cargo_drone/shadow_full.png",
      priority = "high",
      line_length = 1,
      width = 40,
      height = 40,
      frame_count = 1,
      shift = {0.8, 0},
      direction_count = 16
    },
    shadow_in_motion =
    {
      filename = "__FMRx__/graphics/cargo_drone/shadow_empty.png",
      priority = "high",
      line_length = 1,
      width = 40,
      height = 40,
      frame_count = 1,
      shift = {0.8, 0},
      direction_count = 16,
    },
    shadow_in_motion_with_cargo =
    {
      filename = "__FMRx__/graphics/cargo_drone/shadow_full.png",
      priority = "high",
      line_length = 1,
      width = 40,
      height = 40,
      frame_count = 1,
      shift = {0.8, 0},
      direction_count = 16,
    },
    working_sound = flying_robot_sounds(),
    cargo_centered = {0.0, 0.2},
  },
  
 {
    type = "item",
    name = "cargo_drone",
    icon = "__FMRx__/graphics/cargo_drone/cargo_drone_ico.png",
    icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "logistic-network",
    order = "a[robot]-a[logistic-robot]",
    place_result = "cargo_drone",
    stack_size = 50
  },
 {
    type = "recipe",
    name = "cargo_drone",
    enabled = true,
    ingredients =
    {
      {"iron-plate", 1}
    },
    result = "cargo_drone"
  },
  
 {
    type = "construction-robot",
    name = "worker_drone",
    icon = "__FMRx__/graphics/worker_drone/worker_drone_ico.png",
    icon_size = 32,
    flags = {"placeable-player", "player-creation", "placeable-off-grid", "not-on-map"},
    minable = {hardness = 0.1, mining_time = 0.1, result = "construction-robot"},
    resistances = { { type = "fire", percent = 85 } },
    max_health = 150,
    collision_box = {{0, 0}, {0, 0}},
    selection_box = {{-0.5, -1.5}, {0.5, -0.5}},
    max_payload_size = 1,
    speed = 0.085,
    transfer_distance = 0.5,
    max_energy = "3MJ",
    energy_per_tick = "0.08kJ",
    speed_multiplier_when_out_of_energy = 0.2,
    energy_per_move = "8kJ",
    min_to_charge = 0.2,
    max_to_charge = 0.95,
    working_light = {intensity = 0.8, size = 3, color = {r = 0.8, g = 0.8, b = 0.8}},
    idle =
    {
      filename = "__FMRx__/graphics/worker_drone/idle.png",
      priority = "high",
      line_length = 3,
      width = 36,
      height = 36,
      frame_count = 3,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    in_motion =
    {
      filename = "__FMRx__/graphics/worker_drone/move.png",
      priority = "high",
      line_length = 3,
      width = 36,
      height = 36,
      frame_count = 3,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    shadow_idle =
    {
      filename = "__FMRx__/graphics/worker_drone/shadow3.png",
      priority = "high",
      line_length = 3,
      width = 36,
      height = 36,
      frame_count = 3,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    shadow_in_motion =
    {
      filename = "__FMRx__/graphics/worker_drone/shadow3.png",
      priority = "high",
      line_length = 3,
      width = 36,
      height = 36,
      frame_count = 3,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    working =
    {
      filename = "__FMRx__/graphics/worker_drone/idle.png",
      priority = "high",
      line_length = 3,
      width = 36,
      height = 36,
      frame_count = 3,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    shadow_working =
    {
      filename = "__FMRx__/graphics/worker_drone/shadow3.png",
      priority = "high",
      line_length = 3,
      width = 36,
      height = 36,
      frame_count = 3,
      shift = {0, 0},
	  animation_speed = 0.3,
      direction_count = 16
    },
    smoke =
    {
      filename = "__base__/graphics/entity/smoke-construction/smoke-01.png",
      width = 39,
      height = 32,
      frame_count = 19,
      line_length = 19,
      shift = {0.078125, -0.15625},
      animation_speed = 0.3,
    },
    sparks =
    {
      {
        filename = "__base__/graphics/entity/sparks/sparks-01.png",
        width = 39,
        height = 34,
        frame_count = 19,
        line_length = 19,
        shift = {-0.109375, 0.3125},
        tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
        animation_speed = 0.3,
      },
      {
        filename = "__base__/graphics/entity/sparks/sparks-02.png",
        width = 36,
        height = 32,
        frame_count = 19,
        line_length = 19,
        shift = {0.03125, 0.125},
        tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
        animation_speed = 0.3,
      },
      {
        filename = "__base__/graphics/entity/sparks/sparks-03.png",
        width = 42,
        height = 29,
        frame_count = 19,
        line_length = 19,
        shift = {-0.0625, 0.203125},
        tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
        animation_speed = 0.3,
      },
      {
        filename = "__base__/graphics/entity/sparks/sparks-04.png",
        width = 40,
        height = 35,
        frame_count = 19,
        line_length = 19,
        shift = {-0.0625, 0.234375},
        tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
        animation_speed = 0.3,
      },
      {
        filename = "__base__/graphics/entity/sparks/sparks-05.png",
        width = 39,
        height = 29,
        frame_count = 19,
        line_length = 19,
        shift = {-0.109375, 0.171875},
        tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
        animation_speed = 0.3,
      },
      {
        filename = "__base__/graphics/entity/sparks/sparks-06.png",
        width = 44,
        height = 36,
        frame_count = 19,
        line_length = 19,
        shift = {0.03125, 0.3125},
        tint = { r = 1.0, g = 0.9, b = 0.0, a = 1.0 },
        animation_speed = 0.3,
      },
    },
    working_sound = flying_robot_sounds(),
    cargo_centered = {0.0, 0.2},
    construction_vector = {0.30, 0.22},
  }, 
  {
    type = "item",
    name = "worker_drone",
    icon = "__FMRx__/graphics/worker_drone/worker_drone_ico.png",
    icon_size = 32,
    flags = {"goes-to-quickbar"},
    subgroup = "logistic-network",
    order = "a[robot]-a[logistic-robot]",
    place_result = "worker_drone",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "worker_drone",
    enabled = true,
    ingredients =
    {
      {"iron-plate", 1}
    },
    result = "worker_drone"
  },
  


  
  })