local function a_autoplace_settings(name, coverage)
  local ret = {
    control = name,
    sharpness = 1,
    richness_multiplier = 1100,
    richness_multiplier_distance_bonus = 30,
    richness_base = 400,
    coverage = coverage,
    peaks = {
      {
        noise_layer = name,
        noise_octaves_difference = -1.5,
        noise_persistence = 0.3,
      },
    }
  }
  for i, resource in ipairs({ "copper-ore", "iron-ore", "coal", "stone","raw_veridium" }) do
    if resource ~= name then
      --ret.starting_area_size = 600 * coverage
	  ret.starting_area_size = 500 * coverage
      ret.starting_area_amount = 1500
    end
  end
  return ret
end

local function a_resource(name, map_color, hardness, coverage)
  if hardness == nil then hardness = 0.9 end
  if coverage == nil then coverage = 0.02 end
  return {
    type = "resource",
    name = name,
    icon = "__FMRx__/graphics/" .. name .. ".png",
	icon_size = 32,
    flags = {"placeable-neutral"},
    order="s-a-a",
    minable =
    {
      hardness = hardness,
      mining_particle = "iron-ore-particle",
      mining_time = 2,
      result = name
    },
    collision_box = {{ -0.1, -0.1}, {0.1, 0.1}},
    selection_box = {{ -0.5, -0.5}, {0.5, 0.5}},
    autoplace = a_autoplace_settings(name, coverage),
    --stage_counts = {5000, 3000, 1500, 800, 400, 100, 50, 10},
	stage_counts = {3000,1000,300},
    stages =
    {
      sheet =
      {
        filename = "__FMRx__/graphics/res_" .. name .. ".png",
        priority = "extra-high",
        width = 64,
        height = 64,
        frame_count = 5,
        variation_count = 3,
       --[[ hr_version =
          {
          filename = "__base__/graphics/entity/" .. name .. "/hr-" .. name .. ".png",
          priority = "extra-high",
          width = 128,
          height = 128,
          frame_count = 8,
          variation_count = 8,
          scale = 0.5
          } ]]--
      }
    },
    map_color = map_color
  }
end 


data:extend(
{
	a_resource("raw_veridium", {r=0.07, g=0.384, b=0.509},0.6,0.02)
--[[
  resource("copper-ore", {r=0.803, g=0.388, b=0.215}),
  resource("iron-ore", {r=0.337, g=0.419, b=0.427}),
  resource("coal", {r=0, g=0, b=0}),
  resource("stone", {r=0.478, g=0.450, b=0.317},0.4, --hardness
  0.015 --coverage
  )
]]--  
}
) 