 --[[
 function r_weapon_upgrade(r_level, r_prelevel, r_modifier, r_count, r_time,r_order) 
	local r_prerequisites = {"fmrx_ammo_damage_upgrade-" .. r_prelevel}
		if r_prelevel == "0" then
			r_prerequisites = {"fmrx_lab"}
		end
			
	local result =
	{
    type = "technology",
    name = "fmrx_ammo_damage_upgrade-" .. r_level,
    icon = "__FMRx__/graphics/tech/weapon_upgrade.png",
	icon_size = "128",
	
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "a_gun",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "a_siege_turret",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "t55_ammo",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "dev_ammo",
        modifier = r_modifier
      },
	  {
        type = "ammo-damage",
        ammo_category = "a_energy",
        modifier = r_modifier
      }	  
    },
    prerequisites = r_prerequisites,
    unit =
    {
      count = r_count,
      ingredients =
      {
        {"t_resource_1", 1}
      },
      time = r_time
    },
    upgrade = true,
    order = "s-d-" .. r_order
  }
 
return result
end  
]]-- 
 data:extend({
--- ammo upgrade --- 
  {
    type = "technology",
    name = "fmrx_ammo_damage_upgrade",
    icon = "__FMRx__/graphics/tech/weapon_upgrade.png",
	icon_size = "128",
    effects =
    {
      {
        type = "ammo-damage",
        ammo_category = "a_gun",
        modifier = 0.2
      },
	  {
        type = "ammo-damage",
        ammo_category = "a_siege_turret",
        modifier = 0.2
      },
	  {
        type = "ammo-damage",
        ammo_category = "t55_ammo",
        modifier = 0.2
      },
	  {
        type = "ammo-damage",
        ammo_category = "dev_ammo",
        modifier = 0.2
      },
	  {
        type = "ammo-damage",
        ammo_category = "a_energy",
        modifier = 0.2
      }	
    },
	prerequisites = {"siege_turret"},
    unit =
    {
      count_formula = "200+(100*L)",
      ingredients =
      {
        {"t_resource_1", 1}
      },
      time = 30
    },
    upgrade = true,
    max_level = "11",
    order = "s-d-a"
  }, 
  {
    type = "technology",
    name = "fmrx_ammo_speed_upgrade",
    icon = "__FMRx__/graphics/tech/weapon_speed_upgrade.png",
	icon_size = "128",
    effects =
    {
      {
        type = "gun-speed",
        ammo_category = "a_gun",
        modifier = 0.05
      },
	  {
        type = "gun-speed",
        ammo_category = "a_siege_turret",
        modifier = 0.05
      },
	  {
        type = "gun-speed",
        ammo_category = "t55_ammo",
        modifier = 0.05
      },
	  {
        type = "gun-speed",
        ammo_category = "dev_ammo",
        modifier = 0.05
      },
	  {
        type = "gun-speed",
        ammo_category = "a_energy",
        modifier = 0.05
      }	 
    },
	prerequisites = {"siege_turret"},
    unit =
    {
      count_formula = "200+(100*L)",
      ingredients =
      {
        {"t_resource_1", 1}
      },
      time = 30
    },
    upgrade = true,
    max_level = "11",
    order = "s-d-m"
  },
  
-----------------
  {
    type = "technology",
    name = "grinder",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/grinder_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "grinder"
      },
      {
        type = "unlock-recipe",
        recipe = "roll"
      },
      {
        type = "unlock-recipe",
        recipe = "roll_repair"
      }
    },
    unit =
    {
      count = 20,
      ingredients = {{"science-pack-1", 1}},
      time = 25
    },
    order = "s-a-a"
  },   
  {
    type = "technology",
    name = "veridium_smelting",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/veridium_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "veridium_dust"
      },
      {
        type = "unlock-recipe",
        recipe = "veridium"
      },	
      {
        type = "unlock-recipe",
        recipe = "autogen_1"
      }	  
    },
	prerequisites = {"grinder"},
    unit =
    {
      count = 20,
      ingredients = {{"science-pack-1", 1}},
      time = 25
    },
    order = "s-a-b"
  },  
  {
    type = "technology",
    name = "fmrx_lab",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/adv_lab_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fmrx_lab"
      },
      {
        type = "unlock-recipe",
        recipe = "t_resource_1"
      },
      {
        type = "unlock-recipe",
        recipe = "t_resource_1_form"
      }
    },
	prerequisites = {"veridium_smelting"},
    unit =
    {
      count = 50,
      ingredients = {{"science-pack-1", 1}},
      time = 25
    },
    order = "s-a-c"
  }, 
  {
    type = "technology",
    name = "bullets",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/bullets_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "gun_bullets"
      },
      {
        type = "unlock-recipe",
        recipe = "machine_gun"
      },
      {
        type = "unlock-recipe",
        recipe = "machine_gun_cartridge_1"
      },
      {
        type = "unlock-recipe",
        recipe = "shell_box"
      },	  
    },
	prerequisites = {"fmrx_lab","military"},
    unit =
    {
      count = 100,
      ingredients = {{"t_resource_1", 1}},
      time = 20
    },
    order = "s-a-d"
  },
  {
    type = "technology",
    name = "veridium_smelting-2",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/veridium_steel_plate_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "veridium_steel_plate"
      },
      {
        type = "unlock-recipe",
        recipe = "autogen_2"
      },
      {
        type = "unlock-recipe",
        recipe = "train_chest_h"
      },
      {
        type = "unlock-recipe",
        recipe = "train_chest_v"
      },	  
	  
    },
	prerequisites = {"fmrx_lab"},
    unit =
    {
      count = 100,
      ingredients = {{"t_resource_1", 1}},
      time = 20
    },
    order = "s-a-e"
  },    
  {
    type = "technology",
    name = "veridium_processing",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/pure_veridium_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "pure_veridium"
      },
      {
        type = "unlock-recipe",
        recipe = "verkaline"
      },
      {
        type = "unlock-recipe",
        recipe = "veridium_separation"
      },
      {
        type = "unlock-recipe",
        recipe = "waste_recycle"
      },	 
      {
        type = "unlock-recipe",
        recipe = "enriched_fuel_1"
      },
      {
        type = "unlock-recipe",
        recipe = "enriched_fuel_2"
      },
      {
        type = "unlock-recipe",
        recipe = "prepared_water"
      },
      {
        type = "unlock-recipe",
        recipe = "plastic_bottle"
      },	  
    },
	prerequisites = {"veridium_smelting-2","oil-processing"},
    unit =
    {
      count = 300,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-a-f"
  },    
  {
    type = "technology",
    name = "advanced_engine",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/engine_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "engine"
      }
    },
	prerequisites = {"veridium_smelting-2","engine"},
    unit =
    {
      count = 150,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-a-g"
  },   
 
---siege turret---  
  {
    type = "technology",
    name = "siege_turret",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/siege_turret_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "siege_turret_1"
      },
      {
        type = "unlock-recipe",
        recipe = "turret_ammo_box"
      }	  
    },
	prerequisites = {"bullets"},
    unit =
    {
      count = 150,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-b-a"
  }, 
  {
    type = "technology",
    name = "siege_turret-2",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/siege_turret_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "siege_turret_2"
      }
    },
	prerequisites = {"siege_turret"},
    unit =
    {
      count = 250,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-b-b"
  },  
  {
    type = "technology",
    name = "siege_turret-3",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/siege_turret_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "siege_turret_3"
      }  
    },
	prerequisites = {"siege_turret-2"},
    unit =
    {
      count = 350,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-b-c"
  },   
 
---ore extractors---
  {
    type = "technology",
    name = "burner_extractors",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/ore_extractor_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "ore_extractor_2"
      }
    },
	prerequisites = {"fmrx_lab","engine"},
    unit =
    {
      count = 100,
      ingredients = {{"t_resource_1", 1}},
      time = 60
    },
    order = "s-b-d"
  },  
  {
    type = "technology",
    name = "burner_extractors-2",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/ore_extractor_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "ore_extractor_3"
      }
    },
	prerequisites = {"burner_extractors","advanced_engine","speed-module"},
    unit =
    {
      count = 300,
      ingredients = {{"t_resource_1", 1}},
      time = 60
    },
    order = "s-b-e"
  },   
  
  {
    type = "technology",
    name = "electric_extractors",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/electric_ore_extractor_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric_ore_extractor_1"
      }
    },
	prerequisites = {"veridium_smelting-2","fmrx_modules"},
    unit =
    {
      count = 300,
      ingredients = {{"t_resource_1", 2}},
      time = 60
    },
    order = "s-b-f"
  },   
  {
    type = "technology",
    name = "electric_extractors-2",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/electric_ore_extractor_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electric_ore_extractor_2"
      }
    },
	prerequisites = {"electric_extractors","veridium_electronics-2"},
    unit =
    {
      count = 300,
      ingredients = {{"t_resource_1", 2}},
      time = 60
    },
    order = "s-b-g"
  },     

--- electronics ---  
  {
    type = "technology",
    name = "veridium_electronics",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/cpu_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "wire"
      },
      {
        type = "unlock-recipe",
        recipe = "round_circuit"
      }	  
    },
	prerequisites = {"veridium_processing"},
    unit =
    {
      count = 200,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-c-a"
  },   
  {
    type = "technology",
    name = "veridium_electronics-2",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/cpu_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "energy_saving_element"
      },
      {
        type = "unlock-recipe",
        recipe = "cpu"
      },
      {
        type = "unlock-recipe",
        recipe = "shared_accumulator"
      }, 	  
    },
	prerequisites = {"veridium_electronics","advanced-electronics"},
    unit =
    {
      count = 300,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-a-e"
  },   
  {
    type = "technology",
    name = "veridium_electronics-3",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/cpu_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "quad_circuit"
      }  
    },
	prerequisites = {"veridium_electronics-2","advanced-electronics-2"},
    unit =
    {
      count = 400,
      ingredients = {{"t_resource_1", 1}},
      time = 30
    },
    order = "s-c-d"
  }, 

---modules---
  {
    type = "technology",
    name = "fmrx_modules",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/module_1_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "rush_module_1"
      },
      {
        type = "unlock-recipe",
        recipe = "economy_module_1"
      },
      {
        type = "unlock-recipe",
        recipe = "multiply_module_1"
      },	  
    },
	prerequisites = {"veridium_electronics","speed-module","effectivity-module", "productivity-module"},
    unit =
    {
      count = 500,
      ingredients = {{"t_resource_1", 3}},
      time = 10
    },
    order = "s-c-e"
  },   
  {
    type = "technology",
    name = "fmrx_modules-2",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/module_2_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "rush_module_2"
      },
      {
        type = "unlock-recipe",
        recipe = "economy_module_2"
      },
      {
        type = "unlock-recipe",
        recipe = "multiply_module_2"
      },	  
    },
	prerequisites = {"fmrx_modules","veridium_electronics-2","speed-module-2","effectivity-module-2", "productivity-module-2"},
    unit =
    {
      count = 700,
      ingredients = {{"t_resource_1", 3}},
      time = 10
    },
    order = "s-c-f"
  },   
  {
    type = "technology",
    name = "fmrx_modules-3",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/module_3_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "rush_module_3"
      },
      {
        type = "unlock-recipe",
        recipe = "economy_module_3"
      },
      {
        type = "unlock-recipe",
        recipe = "multiply_module_3"
      },	  
    },
	prerequisites = {"fmrx_modules-2","veridium_electronics-3","speed-module-3","effectivity-module-3", "productivity-module-3"},
    unit =
    {
      count = 900,
      ingredients = {{"t_resource_1", 3}},
      time = 10
    },
    order = "s-c-g"
  },    
  
---tanks---
  {
    type = "technology",
    name = "t55",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/t55_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "t55"
      },
      {
        type = "unlock-recipe",
        recipe = "t55_wheel"
      },
      {
        type = "unlock-recipe",
        recipe = "armor_plate_1"
      },	  
      {
        type = "unlock-recipe",
        recipe = "t55_shell"
      },
      {
        type = "unlock-recipe",
        recipe = "t55_explosive_shell"
      },	  
      {
        type = "unlock-recipe",
        recipe = "diesel_fuel"
      }	
	},
	prerequisites = {"advanced_engine","veridium_electronics","explosives"},
    unit =
    {
      count = 500,
      ingredients = {{"t_resource_1", 2}},
      time = 30
    },
    order = "s-c-g"
  }, 
  {
    type = "technology",
    name = "devastator",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/devastator_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "devastator"
      },
      {
        type = "unlock-recipe",
        recipe = "wheel"
      },
      {
        type = "unlock-recipe",
        recipe = "armor_plate_2"
      },
      {
        type = "unlock-recipe",
        recipe = "dev_shell_1"
      },
      {
        type = "unlock-recipe",
        recipe = "dev_shell_2"
      },	  
      {
        type = "unlock-recipe",
        recipe = "diesel_fuel"
      }	    

   },
	prerequisites = {"advanced_engine","veridium_electronics","explosives"},
    unit =
    {
      count = 500,
      ingredients = {{"t_resource_1", 2}},
      time = 30
    },
    order = "s-c-h"
  },   
  
---tank equipment---
  {
    type = "technology",
    name = "tank_equipment",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/fuel_cell_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "electrolyte"
      },
      {
        type = "unlock-recipe",
        recipe = "fc_frame"
      },
      {
        type = "unlock-recipe",
        recipe = "fuel_cell_1"
      },	  
      {
        type = "unlock-recipe",
        recipe = "tank_battery_1"
      },
      {
        type = "unlock-recipe",
        recipe = "energy_mg_1"
      },
      {
        type = "unlock-recipe",
        recipe = "energy_cannon_1"
      },	
      {
        type = "unlock-recipe",
        recipe = "tank_shield_1"
      },		  
	},
	prerequisites = {"veridium_electronics-2",},
    unit =
    {
      count = 300,
      ingredients = {{"t_resource_1", 3}},
      time = 60
    },
    order = "s-c-i"
  },  
  {
    type = "technology",
    name = "tank_equipment-2",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/fuel_cell_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fuel_cell_2"
      },	  
      {
        type = "unlock-recipe",
        recipe = "tank_battery_2"
      },
      {
        type = "unlock-recipe",
        recipe = "energy_mg_2"
      },
      {
        type = "unlock-recipe",
        recipe = "energy_cannon_2"
      },	
      {
        type = "unlock-recipe",
        recipe = "tank_shield_2"
      },		  
	},
	prerequisites = {"tank_equipment"},
    unit =
    {
      count = 600,
      ingredients = {{"t_resource_1", 3}},
      time = 60
    },
    order = "s-c-j"
  },  
  {
    type = "technology",
    name = "tank_equipment-3",
    icon_size = 128,
    icon = "__FMRx__/graphics/tech/fuel_cell_tech.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "fuel_cell_3"
      },	  
      {
        type = "unlock-recipe",
        recipe = "tank_battery_3"
      },
      {
        type = "unlock-recipe",
        recipe = "energy_mg_3"
      },
      {
        type = "unlock-recipe",
        recipe = "energy_cannon_3"
      },	
      {
        type = "unlock-recipe",
        recipe = "tank_shield_3"
      },		  
	},
	prerequisites = {"tank_equipment-2","t55","devastator"},
    unit =
    {
      count = 900,
      ingredients = {{"t_resource_1", 3}},
      time = 60
    },
    order = "s-c-k"
  }  
  
  
  
  })